Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.util
Class Bytes

    java.lang.Object
      org.bouncycastle.util.Bytes

public class Bytes
extends java.lang.Object

Utility methods and constants for bytes.

Field Summary
`static int` | `BYTES`
`static int` | `SIZE`

Constructor Summary
`Bytes()`

Method Summary
`static void` | `cmov(int len, int cond, byte[] x, byte[] z)`
`static void` | `cmov(int len, int cond, byte[] x, int xOff, byte[] z, int zOff)`
`static byte` | `rotateLeft(byte b, int distance)`
`static void` | `xor(int len, byte[] x, byte[] y, byte[] z)`
`static void` | `xor(int len, byte[] x, byte[] y, byte[] z, int zOff)`
`static void` | `xor(int len, byte[] x, byte[] y, int yOff, byte[] z, int zOff)`
`static void` | `xor(int len, byte[] x, int xOff, byte[] y, byte[] z, int zOff)`
`static void` | `xor(int len, byte[] x, int xOff, byte[] y, int yOff, byte[] z, int zOff)`
`static void` | `xorTo(int len, byte[] x, byte[] z)`
`static void` | `xorTo(int len, byte[] x, int xOff, byte[] z)`
`static void` | `xorTo(int len, byte[] x, int xOff, byte[] z, int zOff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BYTES

    public static final int BYTES

See Also:
  Constant Field Values

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Constructor Detail

### Bytes

    public Bytes()

Method Detail

### cmov

    public static void cmov(int len,
                            int cond,
                            byte[] x,
                            byte[] z)

### cmov

    public static void cmov(int len,
                            int cond,
                            byte[] x,
                            int xOff,
                            byte[] z,
                            int zOff)

### xor

    public static void xor(int len,
                           byte[] x,
                           byte[] y,
                           byte[] z)

### xor

    public static void xor(int len,
                           byte[] x,
                           int xOff,
                           byte[] y,
                           byte[] z,
                           int zOff)

### xor

    public static void xor(int len,
                           byte[] x,
                           int xOff,
                           byte[] y,
                           int yOff,
                           byte[] z,
                           int zOff)

### xor

    public static void xor(int len,
                           byte[] x,
                           byte[] y,
                           byte[] z,
                           int zOff)

### xor

    public static void xor(int len,
                           byte[] x,
                           byte[] y,
                           int yOff,
                           byte[] z,
                           int zOff)

### xorTo

    public static void xorTo(int len,
                             byte[] x,
                             byte[] z)

### xorTo

    public static void xorTo(int len,
                             byte[] x,
                             int xOff,
                             byte[] z)

### xorTo

    public static void xorTo(int len,
                             byte[] x,
                             int xOff,
                             byte[] z,
                             int zOff)

### rotateLeft

    public static byte rotateLeft(byte b,
                                  int distance)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD